import { BigNumberish } from 'ethers';
import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { GetMasterChefDataPropsParams, GetMasterChefTokenBalancesParams, MasterChefTemplateContractPositionFetcher } from '../../../position/template/master-chef.template.contract-position-fetcher';
import { JpegdContractFactory, JpegdLpFarmV2 } from '../contracts';
export declare class EthereumJpegdChefV2ContractPositionFetcher extends MasterChefTemplateContractPositionFetcher<JpegdLpFarmV2> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: JpegdContractFactory;
    groupLabel: string;
    chefAddress: string;
    constructor(appToolkit: IAppToolkit, contractFactory: JpegdContractFactory);
    getContract(address: string): JpegdLpFarmV2;
    getPoolLength(contract: JpegdLpFarmV2): Promise<BigNumberish>;
    getStakedTokenAddress(contract: JpegdLpFarmV2, poolIndex: number): Promise<string>;
    getRewardTokenAddress(contract: JpegdLpFarmV2): Promise<string>;
    getTotalAllocPoints({ contract }: GetMasterChefDataPropsParams<JpegdLpFarmV2>): Promise<BigNumberish>;
    getTotalRewardRate({ contract }: GetMasterChefDataPropsParams<JpegdLpFarmV2>): Promise<BigNumberish>;
    getPoolAllocPoints({ contract, definition, }: GetMasterChefDataPropsParams<JpegdLpFarmV2>): Promise<BigNumberish>;
    getStakedTokenBalance({ address, contract, contractPosition, }: GetMasterChefTokenBalancesParams<JpegdLpFarmV2>): Promise<BigNumberish>;
    getRewardTokenBalance({ address, contract, contractPosition, }: GetMasterChefTokenBalancesParams<JpegdLpFarmV2>): Promise<BigNumberish>;
}
